Skip to content

vueda.vdq_queueitem_list ​

Overview ​

applying row level filter in get_queryset() causes problems with other drf actions, specifically encountered with create not finding it's created object

Signature ​

GET /vueda.vdq/queueitem/

Parameters ​

NameTypeRequiredDescription
idintegernoMultiple values may be separated by commas.
last_updatedstring(date-time)no
methodstringno* email - Email * sms - SMS
ostringnoWhich field to use when ordering the results.
pintegernoA page number within the paginated result set.
psintegernoNumber of results to return per page.
queuedstring(date-time)no
sstringnoA search term.
workflow_stateintegernoMultiple values may be separated by commas.
estring[]noReplaces simple values with complex, nested serializations.
fstring[]noSelects a sparse subset of fields to include in the response.

Returns ​

PaginatedDefaultQueueItemList

Responses ​

200 OK ​

Returns PaginatedDefaultQueueItemList